# AutoDeleteArray< TYPE > Class Template Reference

`#include <XPath2MemoryManager.hpp>`

List of all members.

## Public Member Functions

| AutoDeleteArray (TYPE *p)
| ~AutoDeleteArray ()
TYPE & | operator * () const
TYPE * | operator-> () const
| operator TYPE * () const
TYPE * | get () const
TYPE * | adopt ()
void | set (TYPE *p)

### template<class TYPE>
class AutoDeleteArray< TYPE >

## Constructor & Destructor Documentation

template<class TYPE>
AutoDeleteArray< TYPE >::AutoDeleteArray | ( | TYPE * | p | ) | `[inline]`

template<class TYPE>
AutoDeleteArray< TYPE >::~AutoDeleteArray | ( |  | ) | `[inline]`

## Member Function Documentation

template<class TYPE>
TYPE* AutoDeleteArray< TYPE >::adopt | ( |  | ) | `[inline]`

template<class TYPE>
TYPE* AutoDeleteArray< TYPE >::get | ( |  | ) | const`[inline]`

template<class TYPE>
TYPE& AutoDeleteArray< TYPE >::operator * | ( |  | ) | const`[inline]`

template<class TYPE>
AutoDeleteArray< TYPE >::operator TYPE * | ( |  | ) | const`[inline]`

template<class TYPE>
TYPE* AutoDeleteArray< TYPE >::operator-> | ( |  | ) | const`[inline]`

template<class TYPE>
void AutoDeleteArray< TYPE >::set | ( | TYPE * | p | ) | `[inline]`

The documentation for this class was generated from the following file:

- XPath2MemoryManager.hpp